Subject: Re: [bug#50960] [PATCH v2 03/11] Add 'guix shell'.

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Wed, 13 Oct 2021 18:51:04 +0200

Hello Ludo!

When I pull, I can’t use guix shell, perhaps because you did not add
it to guix/self.scm?

I like that the new documentation does not target only developers and
hackers.

On Mon, Oct 11, 2021 at 11:38:01PM +0200, Ludovic Courtès wrote:
> […]
> +The general syntax is:
> +
> +@example
> +guix shell [@var{options}] [@var{package}@dots{}]
> +@end example
> +
> +The following example creates a environment containing Python and NumPy,

*an* environment

> +building and downloading any missing package, and runs the

building *or* downloading

> […]
> +By default, the shell session or command runs in an @emph{augmented}
> +environment, where the new packages are added to search path environment
> +variables such as @code{PATH}.  You can, instead, choose to create an
> +@emph{isolated} environment containing nothing but the packages you

Hmmph.  I had seen the words “isolated environment” being used to
describe containers in "(guix)Managing Software the Guix Way".

Therefore I also had used the German term for “isolated” to explain
containers in other parts of the manual.  Probably this was not
necessary; if you apply guix shell with this term, I will change all
occurrences of “isoliert” in the German PO files.

But then again, maybe it would be better if you described pure
environments not as isolated.  I also see a mix-up further below:

> +This @option{--container} option can also prove useful if you wish to
> +run a security-sensitive application, such as a web browser, in an
> +isolated environment.  For example, the command below launches
> +Ungoogled-Chromium in an isolated environment, this time sharing network
> +access with the host and preserving its @code{DISPLAY} environment
> +variable, but without even sharing the current directory:
> +
> +@example
> +guix shell --container --network --no-cwd ungoogled-chromium \
> +  --preserve='^DISPLAY$' -- chromium
> +@end example
> […]

Back to typos:

> +@node Invoking guix environment
> +@section Invoking @command{guix environment}
> +
> +The purpose of @command{guix environment} is to assists in creating

is to *assist*

So much for the docs.  I have not looked further.

Regards,
Florian